#include <bits/stdc++.h>
using namespace std;

typedef long long ll;

#define f(n) for(int i = 0; i < n; i++)

int main () {
    int a, b, k, r;
    cin >> a >> b >> k;
    int p = a;

    if (k > a && k < b) {
        if ((k - p) % 2 == 0) {
            r = r + ((k - p) / 2) + 1;
            p = k + 1;
        }
    }

    r = (b - p) % 2 + (b - p) / 2;

    cout << r;

    return 0;
}
